%define version 1.1.5
%define alibversion %version
%define fname %name-%{version}

Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: 1.1.6
Release: %mkrel 1
Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.xz
Source1: alsactl.conf
Source2: alsaunmute
# patches------------------------------------------------
Patch1: alsa-utils-1.0.27.2-po.patch 
Patch2:	03-init-Mute-Beep-by-default.patch
#---------------------------------------------------------
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org
BuildRequires: libalsa-devel
BuildRequires: ncurses-devel
BuildRequires: ncursesw-devel
BuildRequires: xmlto
Requires: pciutils
Obsoletes: 	%{name} < %version
Obsoletes: alsaconf

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n speaker-test
Summary: ALSA test tool
Group: Sound
Requires: alsa-utils

%description -n speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n alsaconf
Summary: ALSA configuration tool
Group: Sound
Requires: alsa-utils
Requires: whiptail
Requires: cdialog

%description -n alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as PCLinuxOS will autoconfigure sound cards.

%prep
%setup -q -n %fname
%apply_patches

%build
%configure2_5x CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" --with-udev-rules-dir=/lib/udev/rules.d --disable-alsaconf \

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std mkdir_p="mkdir -p"

# move alsactl in /sbin in order to reload mixer settings on bootstrapping:
mkdir $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/{%_sbindir,sbin}/alsactl
ln -s ../../sbin/alsactl $RPM_BUILD_ROOT/%_sbindir

#Fedora Mod
mkdir -p $RPM_BUILD_ROOT/etc/alsa
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/etc/alsa/alsactl.conf
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT/%_sbindir/alsaunmute

install -d %{buildroot}/var/lib/alsa/

%find_lang %{name}


%post
if [ -f /etc/asound.state -a ! -f /var/lib/alsa/asound.state ] ; then
   mv /etc/asound.state /var/lib/alsa/asound.state
   ln -fs /var/lib/alsa/asound.state /etc/asound.state
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc [A-Z][A-Z]*
%_bindir/[a-i]*
%_sbindir/alsactl
%_sbindir/alsaunmute
/sbin/alsactl
%_mandir/man1/[a-i]*
%_mandir/man7/alsactl_init.7*
%_datadir/alsa/
/var/lib/alsa/
/etc/alsa/alsactl.conf
/lib/udev/rules.d/90-alsa-restore.rules
/usr/sbin/alsa-info.sh
/usr/sbin/alsabat-test.sh
   
%files -n speaker-test
%defattr(-,root,root)
%_bindir/speaker-test
%_mandir/man1/speaker-test.*
%_datadir/sounds/alsa/


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 02 2018 adrianomorselli <adrianomorselli> 1.1.6-1uplos2018
- update
